Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::CUtil Class Reference

`#include <cutil_class.h>`

Inheritance diagram for tesseract::CUtil:

List of all members.

## Public Member Functions

| CUtil ()
| ~CUtil ()
void | read_variables (const char *filename, bool global_only)
Public Member Functions inherited from tesseract::CCUtil
| CCUtil ()
virtual | ~CCUtil ()
void | main_setup (const char *argv0, const char *basename)
ParamsVectors * | params ()

## Additional Inherited Members

Public Attributes inherited from tesseract::CCUtil
STRING | datadir
STRING | imagebasename
STRING | lang
STRING | language_data_path_prefix
TessdataManager | tessdata_manager
UNICHARSET | unicharset
UnicharAmbigs | unichar_ambigs
STRING | imagefile
STRING | directory
char * | m_data_sub_dir = "tessdata/"
int | ambigs_debug_level = 0
bool | use_definite_ambigs_for_classifier = 0
bool | use_ambigs_for_adaption = 0

## Detailed Description

Definition at line 28 of file cutil_class.h.

## Constructor & Destructor Documentation

tesseract::CUtil::CUtil | ( |  | ) |

Definition at line 23 of file cutil_class.cpp.

{
}

tesseract::CUtil::~CUtil | ( |  | ) |

Definition at line 26 of file cutil_class.cpp.

{
}

## Member Function Documentation

void tesseract::CUtil::read_variables | ( | const char * | filename,
|  | bool | global_only
| ) |  |

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/cutil/cutil_class.h
- /mnt/data/src/tesseract-ocr/cutil/cutil_class.cpp